%bcond_without nox

%define oname qBittorrent

Summary:	A lightweight but featureful BitTorrent client
Name:		qbittorrent
Version:	4.0.3
Release:	2
License:	GPLv2+
Group:		Networking/File transfer
Url:		http://www.qbittorrent.org/
Source0:	https://sourceforge.net/projects/qbittorrent/files/qbittorrent/qbittorrent-%{version}/qbittorrent-%{version}.tar.xz
Source1:	qbittorrent-4.0.3_ru.tar.gz
Patch0:	    qbittorrent-4.0.3-fix_translane_string.patch
BuildRequires:	boost-devel
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(libtorrent-rasterbar)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(zlib)
Requires:	geoip
Requires:	python

%description
A lightweight but feature-full BitTorrent client that aims to be very easy
to use. It is multi-platform and provides a Qt graphical interface.

%files
%doc AUTHORS Changelog COPYING NEWS README.md TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/status/%{name}-tray.png
%{_iconsdir}/hicolor/scalable/status/%{name}-tray*
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*

#----------------------------------------------------------------------------

%if %{with nox}
%package nox
Summary:	A Headless Bittorrent Client
Group:		Networking/File transfer

%description nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to
control the clinet remotely.

%files -n %{name}-nox
%{_bindir}/%{name}-nox
%{_mandir}/man1/%{name}-nox.1*
%endif

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

pushd src/lang
tar -xvzf %{SOURCE1}
popd

%build
%setup_compile_flags
# headless aka nox
%if %{with nox}
mkdir build-nox
pushd build-nox
	../configure \
    	--with-boost-libdir=%{_libdir} \
		--prefix=%{_prefix} \
		--disable-gui
	cp conf.pri ..
	%make
	mv -f ../conf.pri ../conf.pri.nox
popd
%endif

# GUI
mkdir build-gui
pushd build-gui
	../configure \
    	--with-boost-libdir=%{_libdir} \
		--prefix=%{_prefix}
	cp conf.pri ..
	%make
	mv -f ../conf.pri ../conf.pri.gui
popd

%install
# install headless part
%if %{with nox}
cp -f conf.pri.nox conf.pri
pushd build-nox
	make INSTALL_ROOT=%{buildroot} install STRIP=true
popd
%endif

# install gui
cp -f conf.pri.gui conf.pri
pushd build-gui
	make INSTALL_ROOT=%{buildroot} install STRIP=true
popd

%changelog
